package com.cusc.nirvana.user.rnr.customer;


import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;

/**
 * Description: 实名customer api启动
 * <br />
 * CreateDate 2021-11-09 13:38:16
 *
 * @author yuyi
 **/
@Slf4j
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@ComponentScan({"com.cusc", "com.cache.*"})
@EnableDiscoveryClient
public class LocalRnrCustomerApplication {

    public static void main(String[] args) {
        try {
            ApplicationContext context = SpringApplication.run(LocalRnrCustomerApplication.class, args);
            String serverPort = context.getEnvironment().getProperty("server.port");
            log.info("启动成功! Swagger2: http://127.0.0.1:" + serverPort + "/swagger-ui.html");
        } catch (Exception ex) {
            log.error("", ex);
        }
    }

}
