package com.cusc.nirvana.user.rnr.customer.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.customer.dto.EnterpriseH5CallBackRespDTO;
import com.cusc.nirvana.user.rnr.customer.dto.EnterpriseH5RequestDTO;
import com.cusc.nirvana.user.rnr.customer.dto.EnterpriseH5RespDTO;
import com.cusc.nirvana.user.rnr.customer.dto.LivenessCallbackReqDTO;
import com.cusc.nirvana.user.rnr.customer.service.IEnterpriseH5Service;
import com.cusc.nirvana.user.rnr.customer.service.ValidationService;
import com.cusc.nirvana.user.rnr.customer.util.ValidationUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;

/**
 * @className: EnterpriseH5Controller
 * @description: 车主企业实名
 * @author: jk
 * @date: 2022/6/8 9:17
 * @version: 1.0
 **/
@RestController
@RequestMapping("/enterprise/h5")
public class EnterpriseH5Controller {
    @Resource
    private IEnterpriseH5Service enterpriseH5Service;

    @Resource
    private ValidationService validationService;

    @PostMapping("/submitRnr")
    public Response<EnterpriseH5RespDTO> submitRnr(@Valid @RequestBody EnterpriseH5RequestDTO dto) {
        Response response = validationService.checkEffectiveTime();
        if(!response.isSuccess()){
            return response;
        }

        return Response.createSuccess(enterpriseH5Service.submitRnrH5(dto));
    }

    @RequestMapping(value = "/livenessCallback", method = RequestMethod.POST, produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
    public Response<EnterpriseH5CallBackRespDTO> afreshLivenessUrl(@Valid @RequestBody LivenessCallbackReqDTO bean) {
        return Response.createSuccess(enterpriseH5Service.afreshLivenessUrl(bean));
    }
}
