package com.cusc.nirvana.user.rnr.customer.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.client.LogoutClient;
import com.cusc.nirvana.user.auth.common.dto.LogoutDTO;
import com.cusc.nirvana.user.rnr.customer.constants.CustomerConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description: C端用户退出
 * <br />
 * CreateDate 2022-04-24 17:30:21
 *
 * @author yuyi
 **/
@RestController
@ApiModel("C端用户退出")
public class LogoutController {

	@Autowired
	private LogoutClient logoutClient;

	@PostMapping("/logout")
	@ApiOperation(value = "退出", notes = "退出")
	public Response logout(@RequestHeader("Authorization") String accessToken) {
		if (StringUtils.isEmpty(accessToken)) {
			return Response.createError("请在header中传递token");
		}
		accessToken = accessToken.replaceAll("bearer ", "");
		LogoutDTO bean = new LogoutDTO();
		bean.setApplicationId(CustomerConstant.APP_ID);
		bean.setAccessToken(accessToken);
		return logoutClient.logout(bean);
	}
}
