package com.cusc.nirvana.user.rnr.customer.controller;

import com.alibaba.fastjson.JSONObject;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.customer.dto.ProtocolManageDTO;
import com.cusc.nirvana.user.rnr.customer.service.IProtocolManageService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @className: ProtocolManageController
 * @description: 协议
 * @author: jk
 * @date: 2022/6/10 13:35
 * @version: 1.0
 **/
@RestController
@RequestMapping("/protocolManage/customer/")
@Slf4j
public class ProtocolManageController {

    @Autowired
    private IProtocolManageService protocolManageService;

    @ApiOperation("查询协议")
    @PostMapping("/query")
    public Response<List<ProtocolManageDTO>> query(){
        return protocolManageService.query();
    }

    @ApiOperation("查询logo")
    @GetMapping("/noLogin")
    public Response<List<ProtocolManageDTO>> noLogin(){
        return protocolManageService.noLogin();
    }
}
