package com.cusc.nirvana.user.rnr.customer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * Description: 活体检测结果回调
 * <br />
 * CreateDate 2022-04-24 17:22:22
 *
 * @author yuyi
 **/
@Data
public class LivenessCallbackReqDTO implements Serializable {

    private static final long serialVersionUID = -407770263820788123L;

    @ApiModelProperty(value = "活体检测结果的返回码")
    @NotEmpty(message = "活体检测结果的返回码不能为空")
    private String code;

    @ApiModelProperty(value = "订单号，由合作方上送，每次唯一，此信息为本次活体检测上送的信息")
    @NotEmpty(message = "订单号不能为空")
    private String orderNo;

    @ApiModelProperty(value = "对 URL 参数 App ID、code、oderNo 和 SIGN ticket 的签名")
    //@NotEmpty(message = "签名不能为空")
    private String newSignature;

    @ApiModelProperty(value = "活体检测结果分数")
    private String liveRate;
}
