package com.cusc.nirvana.user.rnr.customer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author yubo
 * @since 2022-05-03 09:59
 */
@Data
@Accessors(chain = true)
public class UnBindIccidDTO {

    @ApiModelProperty(value = "ICCID")
    @NotEmpty(message = "ICCID列表不能为空")
    private List<String> iccidList;

    @ApiModelProperty(value = "VIN")
    @NotBlank(message = "VIN不能为空")
    private String vin;

    @ApiModelProperty(value = "业务ID")
    @NotBlank(message = "实名业务ID不能为空")
    private String rnrId;

    private String name;

    //手机，脱密
    private String phone;

    //性别，0男，1女
    private Integer gender;
}
