package com.cusc.nirvana.user.rnr.customer.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.customer.dto.EMVinCardResponseDTO;
import com.cusc.nirvana.user.rnr.customer.dto.UnBindIccidDTO;
import com.cusc.nirvana.user.rnr.customer.dto.VehicleCardRnrDTO;
import com.cusc.nirvana.user.rnr.customer.dto.VinDTO;
import com.cusc.nirvana.user.rnr.fp.dto.IccidListDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VerifyVinCardResponseDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VinCardInfoDTO;

import java.util.List;

/**
 * 车卡服务接口
 *
 * @author yubo
 * @since 2022-04-18 09:15
 */
public interface IVehicleCardService {

    /**
     * 车卡关系和卡校验
     *
     * @param vinCardListDTO
     * @return
     */
    Response<VerifyVinCardResponseDTO> verifyVinCard(VinCardInfoDTO vinCardListDTO);

    /**
     * 批量车卡关系和卡校验
     *
     * @param verifyDTOs
     * @return
     */
    Response<VerifyVinCardResponseDTO> verifyVinCardBatch(List<VinCardDTO> verifyDTOs);

    /**
     * 通过vin查询未实名的iccid
     * @param vinDTO
     * @return
     */
    Response<UnBindIccidDTO> getUnBindIccidList(VinDTO vinDTO);

    /**
     * 通过vin查询实名的iccid
     * @param vinDTO
     * @return
     */
    Response<VehicleCardRnrDTO> getBindIccidList(VinDTO vinDTO);

    /**
     新车实名查询iccid，如果已经有实名信息，提醒走一车多卡
     * @param vin
     * @return
     */
    Response<IccidListDTO> getNewCarUnBindIccidList(String vin);
}
